Terp Network Docs
Api

EscrowAddress returns the escrow address for a particular port and channel id.

GET
/ibc/apps/transfer/v1/channels/{channel_id}/ports/{port_id}/escrow_address

Path Parameters

channel_id*string

unique channel identifier

port_id*string

unique port identifier

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/apps/transfer/v1/channels/string/ports/string/escrow_address"
{
  "escrow_address": "string"
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

DenomHash queries a denomination hash information.

GET
/ibc/apps/transfer/v1/denom_hashes/{trace}

Path Parameters

trace*string

The denomination trace ([port_id]/[channel_id])+/[denom]

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/apps/transfer/v1/denom_hashes/string"
{
  "hash": "string"
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

DenomTraces queries all denomination traces.

GET
/ibc/apps/transfer/v1/denom_traces

Query Parameters

pagination.key?string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset?string

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

Formatuint64
pagination.limit?string

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

Formatuint64
pagination.count_total?boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

Formatboolean
pagination.reverse?boolean

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Formatboolean

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/apps/transfer/v1/denom_traces"
{
  "denom_traces": [
    {
      "path": "string",
      "base_denom": "string"
    }
  ],
  "pagination": {
    "next_key": "string",
    "total": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

DenomTrace queries a denomination trace information.

GET
/ibc/apps/transfer/v1/denom_traces/{hash}

Path Parameters

hash*string

hash (in hex format) or denom (full denom with ibc prefix) of the denomination trace information.

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/apps/transfer/v1/denom_traces/string"
{
  "denom_trace": {
    "path": "string",
    "base_denom": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

Params queries all parameters of the ibc-transfer module.

GET
/ibc/apps/transfer/v1/params

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/apps/transfer/v1/params"
{
  "params": {
    "send_enabled": true,
    "receive_enabled": true
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

InterchainAccount returns the interchain account address for a given owner address on a given connection

GET
/ibc/apps/interchain_accounts/controller/v1/owners/{owner}/connections/{connection_id}

Path Parameters

owner*string
connection_id*string

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/apps/interchain_accounts/controller/v1/owners/string/connections/string"
{
  "address": "string"
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

Params queries all parameters of the ICA controller submodule.

GET
/ibc/apps/interchain_accounts/controller/v1/params

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/apps/interchain_accounts/controller/v1/params"
{
  "params": {
    "controller_enabled": true
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

Params queries all parameters of the ICA host submodule.

GET
/ibc/apps/interchain_accounts/host/v1/params

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/apps/interchain_accounts/host/v1/params"
{
  "params": {
    "host_enabled": true,
    "allow_messages": [
      "string"
    ]
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

FeeEnabledChannel returns true if the provided port and channel identifiers belong to a fee enabled channel

GET
/ibc/apps/fee/v1/channels/{channel_id}/ports/{port_id}/fee_enabled

Path Parameters

channel_id*string

unique channel identifier

port_id*string

unique port identifier

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/apps/fee/v1/channels/string/ports/string/fee_enabled"
{
  "fee_enabled": true
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

Gets all incentivized packets for a specific channel

GET
/ibc/apps/fee/v1/channels/{channel_id}/ports/{port_id}/incentivized_packets

Path Parameters

channel_id*string
port_id*string

Query Parameters

pagination.key?string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset?string

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

Formatuint64
pagination.limit?string

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

Formatuint64
pagination.count_total?boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

Formatboolean
pagination.reverse?boolean

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Formatboolean
query_height?string

Height to query at.

Formatuint64

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/apps/fee/v1/channels/string/ports/string/incentivized_packets"
{
  "incentivized_packets": [
    {
      "packet_id": {
        "port_id": "string",
        "channel_id": "string",
        "sequence": "string"
      },
      "packet_fees": [
        {
          "fee": {
            "recv_fee": [
              {
                "denom": "string",
                "amount": "string"
              }
            ],
            "ack_fee": [
              {
                "denom": "string",
                "amount": "string"
              }
            ],
            "timeout_fee": [
              {
                "denom": "string",
                "amount": "string"
              }
            ]
          },
          "refund_address": "string",
          "relayers": [
            "string"
          ]
        }
      ]
    }
  ]
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

CounterpartyPayee returns the registered counterparty payee for forward relaying

GET
/ibc/apps/fee/v1/channels/{channel_id}/relayers/{relayer}/counterparty_payee

Path Parameters

channel_id*string

unique channel identifier

relayer*string

the relayer address to which the counterparty is registered

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/apps/fee/v1/channels/string/relayers/string/counterparty_payee"
{
  "counterparty_payee": "string"
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

Payee returns the registered payee address for a specific channel given the relayer address

GET
/ibc/apps/fee/v1/channels/{channel_id}/relayers/{relayer}/payee

Path Parameters

channel_id*string

unique channel identifier

relayer*string

the relayer address to which the distribution address is registered

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/apps/fee/v1/channels/string/relayers/string/payee"
{
  "payee_address": "string"
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

IncentivizedPacket returns all packet fees for a packet given its identifier

GET
/ibc/apps/fee/v1/channels/{packet_id.channel_id}/ports/{packet_id.port_id}/sequences/{packet_id.sequence}/incentivized_packet

Path Parameters

packet_id.channel_id*string

channel unique identifier

packet_id.port_id*string

channel port identifier

packet_id.sequence*string

packet sequence

Formatuint64

Query Parameters

query_height?string

block height at which to query.

Formatuint64

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/apps/fee/v1/channels/string/ports/string/sequences/string/incentivized_packet"
{
  "incentivized_packet": {
    "packet_id": {
      "port_id": "string",
      "channel_id": "string",
      "sequence": "string"
    },
    "packet_fees": [
      {
        "fee": {
          "recv_fee": [
            {
              "denom": "string",
              "amount": "string"
            }
          ],
          "ack_fee": [
            {
              "denom": "string",
              "amount": "string"
            }
          ],
          "timeout_fee": [
            {
              "denom": "string",
              "amount": "string"
            }
          ]
        },
        "refund_address": "string",
        "relayers": [
          "string"
        ]
      }
    ]
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

TotalAckFees returns the total acknowledgement fees for a packet given its identifier

GET
/ibc/apps/fee/v1/channels/{packet_id.channel_id}/ports/{packet_id.port_id}/sequences/{packet_id.sequence}/total_ack_fees

Path Parameters

packet_id.channel_id*string

channel unique identifier

packet_id.port_id*string

channel port identifier

packet_id.sequence*string

packet sequence

Formatuint64

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/apps/fee/v1/channels/string/ports/string/sequences/string/total_ack_fees"
{
  "ack_fees": [
    {
      "denom": "string",
      "amount": "string"
    }
  ]
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

TotalRecvFees returns the total receive fees for a packet given its identifier

GET
/ibc/apps/fee/v1/channels/{packet_id.channel_id}/ports/{packet_id.port_id}/sequences/{packet_id.sequence}/total_recv_fees

Path Parameters

packet_id.channel_id*string

channel unique identifier

packet_id.port_id*string

channel port identifier

packet_id.sequence*string

packet sequence

Formatuint64

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/apps/fee/v1/channels/string/ports/string/sequences/string/total_recv_fees"
{
  "recv_fees": [
    {
      "denom": "string",
      "amount": "string"
    }
  ]
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

TotalTimeoutFees returns the total timeout fees for a packet given its identifier

GET
/ibc/apps/fee/v1/channels/{packet_id.channel_id}/ports/{packet_id.port_id}/sequences/{packet_id.sequence}/total_timeout_fees

Path Parameters

packet_id.channel_id*string

channel unique identifier

packet_id.port_id*string

channel port identifier

packet_id.sequence*string

packet sequence

Formatuint64

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/apps/fee/v1/channels/string/ports/string/sequences/string/total_timeout_fees"
{
  "timeout_fees": [
    {
      "denom": "string",
      "amount": "string"
    }
  ]
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

FeeEnabledChannels returns a list of all fee enabled channels

GET
/ibc/apps/fee/v1/fee_enabled

Query Parameters

pagination.key?string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset?string

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

Formatuint64
pagination.limit?string

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

Formatuint64
pagination.count_total?boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

Formatboolean
pagination.reverse?boolean

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Formatboolean
query_height?string

block height at which to query.

Formatuint64

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/apps/fee/v1/fee_enabled"
{
  "fee_enabled_channels": [
    {
      "port_id": "string",
      "channel_id": "string"
    }
  ]
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

IncentivizedPackets returns all incentivized packets and their associated fees

GET
/ibc/apps/fee/v1/incentivized_packets

Query Parameters

pagination.key?string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset?string

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

Formatuint64
pagination.limit?string

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

Formatuint64
pagination.count_total?boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

Formatboolean
pagination.reverse?boolean

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Formatboolean
query_height?string

block height at which to query.

Formatuint64

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/apps/fee/v1/incentivized_packets"
{
  "incentivized_packets": [
    {
      "packet_id": {
        "port_id": "string",
        "channel_id": "string",
        "sequence": "string"
      },
      "packet_fees": [
        {
          "fee": {
            "recv_fee": [
              {
                "denom": "string",
                "amount": "string"
              }
            ],
            "ack_fee": [
              {
                "denom": "string",
                "amount": "string"
              }
            ],
            "timeout_fee": [
              {
                "denom": "string",
                "amount": "string"
              }
            ]
          },
          "refund_address": "string",
          "relayers": [
            "string"
          ]
        }
      ]
    }
  ]
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

ClientParams queries all parameters of the ibc client.

GET
/ibc/client/v1/params

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/client/v1/params"
{
  "params": {
    "allowed_clients": [
      "string"
    ]
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

ClientStates queries all the IBC light clients of a chain.

GET
/ibc/core/client/v1/client_states

Query Parameters

pagination.key?string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset?string

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

Formatuint64
pagination.limit?string

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

Formatuint64
pagination.count_total?boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

Formatboolean
pagination.reverse?boolean

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Formatboolean

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/client/v1/client_states"
{
  "client_states": [
    {
      "client_id": "string",
      "client_state": {
        "type_url": "string",
        "value": "string"
      }
    }
  ],
  "pagination": {
    "next_key": "string",
    "total": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

ClientState queries an IBC light client.

GET
/ibc/core/client/v1/client_states/{client_id}

Path Parameters

client_id*string

client state unique identifier

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/client/v1/client_states/string"
{
  "client_state": {
    "type_url": "string",
    "value": "string"
  },
  "proof": "string",
  "proof_height": {
    "revision_number": "string",
    "revision_height": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

Status queries the status of an IBC client.

GET
/ibc/core/client/v1/client_status/{client_id}

Path Parameters

client_id*string

client unique identifier

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/client/v1/client_status/string"
{
  "status": "string"
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

ConsensusStates queries all the consensus state associated with a given client.

GET
/ibc/core/client/v1/consensus_states/{client_id}

Path Parameters

client_id*string

client identifier

Query Parameters

pagination.key?string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset?string

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

Formatuint64
pagination.limit?string

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

Formatuint64
pagination.count_total?boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

Formatboolean
pagination.reverse?boolean

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Formatboolean

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/client/v1/consensus_states/string"
{
  "consensus_states": [
    {
      "height": {
        "revision_number": "string",
        "revision_height": "string"
      },
      "consensus_state": {
        "type_url": "string",
        "value": "string"
      }
    }
  ],
  "pagination": {
    "next_key": "string",
    "total": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

ConsensusStateHeights queries the height of every consensus states associated with a given client.

GET
/ibc/core/client/v1/consensus_states/{client_id}/heights

Path Parameters

client_id*string

client identifier

Query Parameters

pagination.key?string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset?string

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

Formatuint64
pagination.limit?string

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

Formatuint64
pagination.count_total?boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

Formatboolean
pagination.reverse?boolean

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Formatboolean

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/client/v1/consensus_states/string/heights"
{
  "consensus_state_heights": [
    {
      "revision_number": "string",
      "revision_height": "string"
    }
  ],
  "pagination": {
    "next_key": "string",
    "total": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

ConsensusState queries a consensus state associated with a client state at a given height.

GET
/ibc/core/client/v1/consensus_states/{client_id}/revision/{revision_number}/height/{revision_height}

Path Parameters

client_id*string

client identifier

revision_number*string

consensus state revision number

Formatuint64
revision_height*string

consensus state revision height

Formatuint64

Query Parameters

latest_height?boolean

latest_height overrrides the height field and queries the latest stored ConsensusState.

Formatboolean

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/client/v1/consensus_states/string/revision/string/height/string"
{
  "consensus_state": {
    "type_url": "string",
    "value": "string"
  },
  "proof": "string",
  "proof_height": {
    "revision_number": "string",
    "revision_height": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

UpgradedClientState queries an Upgraded IBC light client.

GET
/ibc/core/client/v1/upgraded_client_states

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/client/v1/upgraded_client_states"
{
  "upgraded_client_state": {
    "type_url": "string",
    "value": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

UpgradedConsensusState queries an Upgraded IBC consensus state.

GET
/ibc/core/client/v1/upgraded_consensus_states

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/client/v1/upgraded_consensus_states"
{
  "upgraded_consensus_state": {
    "type_url": "string",
    "value": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

ClientConnections queries the connection paths associated with a client state.

GET
/ibc/core/connection/v1/client_connections/{client_id}

Path Parameters

client_id*string

client identifier associated with a connection

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/connection/v1/client_connections/string"
{
  "connection_paths": [
    "string"
  ],
  "proof": "string",
  "proof_height": {
    "revision_number": "string",
    "revision_height": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

Connections queries all the IBC connections of a chain.

GET
/ibc/core/connection/v1/connections

Query Parameters

pagination.key?string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset?string

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

Formatuint64
pagination.limit?string

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

Formatuint64
pagination.count_total?boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

Formatboolean
pagination.reverse?boolean

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Formatboolean

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/connection/v1/connections"
{
  "connections": [
    {
      "id": "string",
      "client_id": "string",
      "versions": [
        {
          "identifier": "string",
          "features": [
            "string"
          ]
        }
      ],
      "state": "STATE_UNINITIALIZED_UNSPECIFIED",
      "counterparty": {
        "client_id": "string",
        "connection_id": "string",
        "prefix": {
          "key_prefix": "string"
        }
      },
      "delay_period": "string"
    }
  ],
  "pagination": {
    "next_key": "string",
    "total": "string"
  },
  "height": {
    "revision_number": "string",
    "revision_height": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

Connection queries an IBC connection end.

GET
/ibc/core/connection/v1/connections/{connection_id}

Path Parameters

connection_id*string

connection unique identifier

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/connection/v1/connections/string"
{
  "connection": {
    "client_id": "string",
    "versions": [
      {
        "identifier": "string",
        "features": [
          "string"
        ]
      }
    ],
    "state": "STATE_UNINITIALIZED_UNSPECIFIED",
    "counterparty": {
      "client_id": "string",
      "connection_id": "string",
      "prefix": {
        "key_prefix": "string"
      }
    },
    "delay_period": "string"
  },
  "proof": "string",
  "proof_height": {
    "revision_number": "string",
    "revision_height": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

ConnectionClientState queries the client state associated with the connection.

GET
/ibc/core/connection/v1/connections/{connection_id}/client_state

Path Parameters

connection_id*string

connection identifier

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/connection/v1/connections/string/client_state"
{
  "identified_client_state": {
    "client_id": "string",
    "client_state": {
      "type_url": "string",
      "value": "string"
    }
  },
  "proof": "string",
  "proof_height": {
    "revision_number": "string",
    "revision_height": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

ConnectionConsensusState queries the consensus state associated with the connection.

GET
/ibc/core/connection/v1/connections/{connection_id}/consensus_state/revision/{revision_number}/height/{revision_height}

Path Parameters

connection_id*string

connection identifier

revision_number*string
Formatuint64
revision_height*string
Formatuint64

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/connection/v1/connections/string/consensus_state/revision/string/height/string"
{
  "consensus_state": {
    "type_url": "string",
    "value": "string"
  },
  "client_id": "string",
  "proof": "string",
  "proof_height": {
    "revision_number": "string",
    "revision_height": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

Channels queries all the IBC channels of a chain.

GET
/ibc/core/channel/v1/channels

Query Parameters

pagination.key?string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset?string

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

Formatuint64
pagination.limit?string

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

Formatuint64
pagination.count_total?boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

Formatboolean
pagination.reverse?boolean

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Formatboolean

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/channel/v1/channels"
{
  "channels": [
    {
      "state": "STATE_UNINITIALIZED_UNSPECIFIED",
      "ordering": "ORDER_NONE_UNSPECIFIED",
      "counterparty": {
        "port_id": "string",
        "channel_id": "string"
      },
      "connection_hops": [
        "string"
      ],
      "version": "string",
      "port_id": "string",
      "channel_id": "string"
    }
  ],
  "pagination": {
    "next_key": "string",
    "total": "string"
  },
  "height": {
    "revision_number": "string",
    "revision_height": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

Channel queries an IBC Channel.

GET
/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}

Path Parameters

channel_id*string

channel unique identifier

port_id*string

port unique identifier

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/channel/v1/channels/string/ports/string"
{
  "channel": {
    "state": "STATE_UNINITIALIZED_UNSPECIFIED",
    "ordering": "ORDER_NONE_UNSPECIFIED",
    "counterparty": {
      "port_id": "string",
      "channel_id": "string"
    },
    "connection_hops": [
      "string"
    ],
    "version": "string"
  },
  "proof": "string",
  "proof_height": {
    "revision_number": "string",
    "revision_height": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

ChannelClientState queries for the client state for the channel associated with the provided channel identifiers.

GET
/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/client_state

Path Parameters

channel_id*string

channel unique identifier

port_id*string

port unique identifier

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/channel/v1/channels/string/ports/string/client_state"
{
  "identified_client_state": {
    "client_id": "string",
    "client_state": {
      "type_url": "string",
      "value": "string"
    }
  },
  "proof": "string",
  "proof_height": {
    "revision_number": "string",
    "revision_height": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

ChannelConsensusState queries for the consensus state for the channel associated with the provided channel identifiers.

GET
/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/consensus_state/revision/{revision_number}/height/{revision_height}

Path Parameters

channel_id*string

channel unique identifier

port_id*string

port unique identifier

revision_number*string

revision number of the consensus state

Formatuint64
revision_height*string

revision height of the consensus state

Formatuint64

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/channel/v1/channels/string/ports/string/consensus_state/revision/string/height/string"
{
  "consensus_state": {
    "type_url": "string",
    "value": "string"
  },
  "client_id": "string",
  "proof": "string",
  "proof_height": {
    "revision_number": "string",
    "revision_height": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

NextSequenceReceive returns the next receive sequence for a given channel.

GET
/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/next_sequence

Path Parameters

channel_id*string

channel unique identifier

port_id*string

port unique identifier

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/channel/v1/channels/string/ports/string/next_sequence"
{
  "next_sequence_receive": "string",
  "proof": "string",
  "proof_height": {
    "revision_number": "string",
    "revision_height": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

PacketAcknowledgements returns all the packet acknowledgements associated with a channel.

GET
/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_acknowledgements

Path Parameters

channel_id*string

channel unique identifier

port_id*string

port unique identifier

Query Parameters

pagination.key?string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset?string

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

Formatuint64
pagination.limit?string

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

Formatuint64
pagination.count_total?boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

Formatboolean
pagination.reverse?boolean

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Formatboolean
packet_commitment_sequences?array<>

list of packet sequences.

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/channel/v1/channels/string/ports/string/packet_acknowledgements"
{
  "acknowledgements": [
    {
      "port_id": "string",
      "channel_id": "string",
      "sequence": "string",
      "data": "string"
    }
  ],
  "pagination": {
    "next_key": "string",
    "total": "string"
  },
  "height": {
    "revision_number": "string",
    "revision_height": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

PacketAcknowledgement queries a stored packet acknowledgement hash.

GET
/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_acks/{sequence}

Path Parameters

channel_id*string

channel unique identifier

port_id*string

port unique identifier

sequence*string

packet sequence

Formatuint64

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/channel/v1/channels/string/ports/string/packet_acks/string"
{
  "acknowledgement": "string",
  "proof": "string",
  "proof_height": {
    "revision_number": "string",
    "revision_height": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

PacketCommitments returns all the packet commitments hashes associated with a channel.

GET
/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments

Path Parameters

channel_id*string

channel unique identifier

port_id*string

port unique identifier

Query Parameters

pagination.key?string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset?string

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

Formatuint64
pagination.limit?string

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

Formatuint64
pagination.count_total?boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

Formatboolean
pagination.reverse?boolean

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Formatboolean

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/channel/v1/channels/string/ports/string/packet_commitments"
{
  "commitments": [
    {
      "port_id": "string",
      "channel_id": "string",
      "sequence": "string",
      "data": "string"
    }
  ],
  "pagination": {
    "next_key": "string",
    "total": "string"
  },
  "height": {
    "revision_number": "string",
    "revision_height": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

UnreceivedAcks returns all the unreceived IBC acknowledgements associated with a channel and sequences.

GET
/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments/{packet_ack_sequences}/unreceived_acks

Path Parameters

channel_id*string

channel unique identifier

port_id*string

port unique identifier

packet_ack_sequences*array<>

list of acknowledgement sequences

Items1 <= items

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/channel/v1/channels/string/ports/string/packet_commitments/string/unreceived_acks"
{
  "sequences": [
    "string"
  ],
  "height": {
    "revision_number": "string",
    "revision_height": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

UnreceivedPackets returns all the unreceived IBC packets associated with a channel and sequences.

GET
/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments/{packet_commitment_sequences}/unreceived_packets

Path Parameters

channel_id*string

channel unique identifier

port_id*string

port unique identifier

packet_commitment_sequences*array<>

list of packet sequences

Items1 <= items

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/channel/v1/channels/string/ports/string/packet_commitments/string/unreceived_packets"
{
  "sequences": [
    "string"
  ],
  "height": {
    "revision_number": "string",
    "revision_height": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

PacketCommitment queries a stored packet commitment hash.

GET
/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments/{sequence}

Path Parameters

channel_id*string

channel unique identifier

port_id*string

port unique identifier

sequence*string

packet sequence

Formatuint64

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/channel/v1/channels/string/ports/string/packet_commitments/string"
{
  "commitment": "string",
  "proof": "string",
  "proof_height": {
    "revision_number": "string",
    "revision_height": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

PacketReceipt queries if a given packet sequence has been received on the queried chain

GET
/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_receipts/{sequence}

Path Parameters

channel_id*string

channel unique identifier

port_id*string

port unique identifier

sequence*string

packet sequence

Formatuint64

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/channel/v1/channels/string/ports/string/packet_receipts/string"
{
  "received": true,
  "proof": "string",
  "proof_height": {
    "revision_number": "string",
    "revision_height": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

ConnectionChannels queries all the channels associated with a connection end.

GET
/ibc/core/channel/v1/connections/{connection}/channels

Path Parameters

connection*string

connection unique identifier

Query Parameters

pagination.key?string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset?string

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

Formatuint64
pagination.limit?string

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

Formatuint64
pagination.count_total?boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

Formatboolean
pagination.reverse?boolean

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Formatboolean

Response Body

*/*

*/*

curl -X GET "https://loading/ibc/core/channel/v1/connections/string/channels"
{
  "channels": [
    {
      "state": "STATE_UNINITIALIZED_UNSPECIFIED",
      "ordering": "ORDER_NONE_UNSPECIFIED",
      "counterparty": {
        "port_id": "string",
        "channel_id": "string"
      },
      "connection_hops": [
        "string"
      ],
      "version": "string",
      "port_id": "string",
      "channel_id": "string"
    }
  ],
  "pagination": {
    "next_key": "string",
    "total": "string"
  },
  "height": {
    "revision_number": "string",
    "revision_height": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}

On this page

EscrowAddress returns the escrow address for a particular port and channel id.DenomHash queries a denomination hash information.DenomTraces queries all denomination traces.DenomTrace queries a denomination trace information.Params queries all parameters of the ibc-transfer module.InterchainAccount returns the interchain account address for a given owner address on a given connectionParams queries all parameters of the ICA controller submodule.Params queries all parameters of the ICA host submodule.FeeEnabledChannel returns true if the provided port and channel identifiers belong to a fee enabled channelGets all incentivized packets for a specific channelCounterpartyPayee returns the registered counterparty payee for forward relayingPayee returns the registered payee address for a specific channel given the relayer addressIncentivizedPacket returns all packet fees for a packet given its identifierTotalAckFees returns the total acknowledgement fees for a packet given its identifierTotalRecvFees returns the total receive fees for a packet given its identifierTotalTimeoutFees returns the total timeout fees for a packet given its identifierFeeEnabledChannels returns a list of all fee enabled channelsIncentivizedPackets returns all incentivized packets and their associated feesClientParams queries all parameters of the ibc client.ClientStates queries all the IBC light clients of a chain.ClientState queries an IBC light client.Status queries the status of an IBC client.ConsensusStates queries all the consensus state associated with a given client.ConsensusStateHeights queries the height of every consensus states associated with a given client.ConsensusState queries a consensus state associated with a client state at a given height.UpgradedClientState queries an Upgraded IBC light client.UpgradedConsensusState queries an Upgraded IBC consensus state.ClientConnections queries the connection paths associated with a client state.Connections queries all the IBC connections of a chain.Connection queries an IBC connection end.ConnectionClientState queries the client state associated with the connection.ConnectionConsensusState queries the consensus state associated with the connection.Channels queries all the IBC channels of a chain.Channel queries an IBC Channel.ChannelClientState queries for the client state for the channel associated with the provided channel identifiers.ChannelConsensusState queries for the consensus state for the channel associated with the provided channel identifiers.NextSequenceReceive returns the next receive sequence for a given channel.PacketAcknowledgements returns all the packet acknowledgements associated with a channel.PacketAcknowledgement queries a stored packet acknowledgement hash.PacketCommitments returns all the packet commitments hashes associated with a channel.UnreceivedAcks returns all the unreceived IBC acknowledgements associated with a channel and sequences.UnreceivedPackets returns all the unreceived IBC packets associated with a channel and sequences.PacketCommitment queries a stored packet commitment hash.PacketReceipt queries if a given packet sequence has been received on the queried chainConnectionChannels queries all the channels associated with a connection end.